Bug 518781 - setroubleshoot: SELinux is preventing polkit-read-aut (polkit_auth_t) "read" proc_t.
Summary: setroubleshoot: SELinux is preventing polkit-read-aut (polkit_auth_t) "r...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:519edbbed65...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 18:49 UTC by Davide Cescato
Modified: 2009-08-24 13:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-23 17:04:43 UTC


Attachments (Terms of Use)

Description Davide Cescato 2009-08-22 18:49:30 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing polkit-read-aut (polkit_auth_t) "read" proc_t.

Detailed Description:

SELinux denied access requested by polkit-read-aut. It is not expected that this
access is required by polkit-read-aut and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:polkit_auth_t:s0
Target Context                system_u:object_r:proc_t:s0
Target Objects                filesystems [ file ]
Source                        polkit-read-aut
Source Path                   /usr/libexec/polkit-read-auth-helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           PolicyKit-0.9-6.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-39.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.29.4-167.fc11.x86_64 #1 SMP Wed
                              May 27 17:27:08 EDT 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Thu 06 Aug 2009 11:20:36 PM CEST
Last Seen                     Thu 06 Aug 2009 11:22:30 PM CEST
Local ID                      42bf02a1-dec8-4261-8795-dc4a195f8173
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1249593750.32:28982): avc:  denied  { read } for  pid=4608 comm="polkit-read-aut" name="filesystems" dev=proc ino=4026531979 scontext=system_u:system_r:polkit_auth_t:s0 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1249593750.32:28982): arch=c000003e syscall=2 success=no exit=-13 a0=7f2a76d60af6 a1=0 a2=1b6 a3=238 items=0 ppid=4607 pid=4608 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=87 sgid=87 fsgid=87 tty=(none) ses=4294967295 comm="polkit-read-aut" exe="/usr/libexec/polkit-read-auth-helper" subj=system_u:system_r:polkit_auth_t:s0 key=(null)


audit2allow suggests:

#============= polkit_auth_t ==============
allow polkit_auth_t proc_t:file read;

Comment 1 Daniel Walsh 2009-08-23 17:04:43 UTC
Please update fully to rawhide, before reporting any bugs.  You are still using F11 policy.

Comment 2 Davide Cescato 2009-08-23 19:24:59 UTC
Sorry for the noise. I do keep my rawhide installation up-to-date. I got a new SElinux notification, but by mistake I sent the bug report for an older one (Thu 06 Aug 2009 11:20:36 PM CEST) that I had not yet deleted.

Comment 3 Daniel Walsh 2009-08-24 13:06:45 UTC
Maybe we should turn off the bugreporting tool if the version of the policy in the report is older then the one that is installed on the machine?


Note You need to log in before you can comment on or make changes to this bug.